Get an Error when I try to install plugins from the dev dashboard

I have tried 3 different plugins and each one has a red “error” not instead of saying installed :slight_frown:

Not sure why….

I am running the latest version of WPMU. I don’t see the field to submit my API, so I’m guessing I already registered my purchase of wpmu dev. My account is up to date, I bought a 3-month subscription.